struct PSI_BIT{
	unsigned char KUKAN:3;	/*    Bit 0-2     */
	unsigned char ROSEN:3;	/*    Bit 3-5     */
	unsigned char SOU:1;	/*    Bit 6     */
	unsigned char DIR:1;	/*    Bit 7     */
};

struct st_position {

	union {				/* Position */
		unsigned char BYTE;	/* Byte Access */
		struct PSI_BIT BIT;	/* Bit  Access */
	} NOW;

	union {				/* Position */
		unsigned char BYTE;	/* Byte Access */
		struct PSI_BIT BIT;	/* Bit  Access */
	} BEFOR;

	union {				/* Position */
		unsigned char BYTE;	/* Byte Access */
		struct PSI_BIT BIT;	/* Bit  Access */
	} NEXT;

	union {				/* Position */
		unsigned char BYTE;	/* Byte Access */
		struct PSI_BIT BIT;	/* Bit  Access */
	} ANEXT;

};

union scan_port {

	unsigned char BYTE;	/* Byte Access */
	struct {
		unsigned char DUMMY:2;		/*    Bit 0-1     */
		unsigned char KUKAN:3;		/*    Bit 2-4     */
		unsigned char DISABLE:1;	/*    Bit 5     */
		unsigned char B6:1;	/*    Bit 6     */
	} BIT;

};
