﻿Imports System.IO.Ports

Public Class Form1
    Const RX_BYTE As Integer = 100
    Const TX_BYTE As Integer = 102
    Const 列車数 As Integer = 5      '列車数-1

    Private cont1 As List(Of contbox.UserControl1) = New List(Of contbox.UserControl1)()

    Public 列車 As train()
    Private Inidata As train()
    Public ポイント As pnt_array



    Dim 受信BYTE As Integer '１列車あたりの受信バイト数

    Dim 初期 As Boolean
    Dim 設定Flag As Boolean
    Dim 全転送(10) As Boolean
    Dim 逆転(10) As Integer
    Dim 処理中 As Boolean
    Dim xxxx As Integer
    Dim TxAux(10) As Byte
    Dim Int番号 As Integer
    Dim Point_Max As Integer
    Dim t_check1 As Date
    Dim t_span As TimeSpan



    Class train
        Public Index As Integer

        Public 現位置 As Byte
        Public 前位置 As Byte
        Public 次位置 As Byte
        Public 次々位置 As Byte

        Public 現位置set As Byte
        Public 前位置set As Byte
        Public 次位置set As Byte
        Public 次々位置set As Byte

        Public スピード As Integer
        Public Remスピード As Integer
        Public Setスピード As Integer
        Public Realスピード As Integer

        Public 区間変化 As Byte
        Public Point As Byte
        Public point_ret As Byte
        Public 安全 As String
        Public ポイント As Integer
        Public 逆転 As Integer
        Public 相変更FLAG As Boolean

        Public 表示色 As Color


        Sub 列車設定(ByVal d As Integer, ByVal ro As Integer, ByVal pos As Integer)
            Dim 相 As Integer

            相 = Form1.相確認(ro, Index)
            If 相 = -1 Then Exit Sub '相の重複時

            If 相 = 2 Then '運転しない
                現位置 = &H78
                前位置 = &H78
                次位置 = &H78
                次々位置 = &H78

                現位置set = &H78
                前位置set = &H78
                次位置set = &H78
                次々位置set = &H78
                Exit Sub
            End If


            現位置set = &H80 * d + &H40 * 相 + &H8 * ro + pos
            前位置set = &H80 * d + &H40 * 相 + &H8 * ro + ((pos - 1) And &H7)
            次位置set = &H80 * d + &H40 * 相 + &H8 * ro + ((pos + 1) And &H7)
            次々位置set = &H80 * d + &H40 * 相 + &H8 * ro + ((pos + 2) And &H7)

        End Sub

        Sub 区間変更()

            '区間変化
            Dim 路線 As Integer = 現位置 And &HF8

            If (現位置 And &H80) = 0 Then
                次々位置set = ((次々位置 + 1) And &H7) + 路線
            Else
                次々位置set = ((次々位置 - 1) And &H7) + 路線
            End If

        End Sub


        Sub 逆転処理()
            '逆転bit反転
            現位置set = 前位置 Xor &H80
            前位置set = 現位置 Xor &H80

            Dim 路線 As Integer = 現位置set And &HF8

            If (現位置set And &H80) = 0 Then
                次位置set = ((現位置set + 1) And &H7) + 路線
                次々位置set = ((現位置set + 2) And &H7) + 路線
            Else
                次位置set = ((現位置set - 1) And &H7) + 路線
                次々位置set = ((現位置set - 2) And &H7) + 路線
            End If


            逆転 = 3

        End Sub

        Sub 相変更()
            Dim 相 As Integer = (現位置 Xor &H40) And &H40

            現位置set = (現位置 And &HBF) + 相
            前位置set = (前位置 And &HBF) + 相
            次位置set = (次位置 And &HBF) + 相
            次々位置set = (次々位置 And &HBF) + 相

            相変更FLAG = True
        End Sub


        Public Sub New(ByVal i As Integer)
            Index = i

            現位置 = &H78
            前位置 = &H78
            次位置 = &H78
            次々位置 = &H78

            現位置set = &H78
            前位置set = &H78
            次位置set = &H78
            次々位置set = &H78
        End Sub

        Public Property Name() As String
            Get
                Return Point
            End Get

            Set(ByVal value As String)
                Point = value
            End Set
        End Property

    End Class

    Class pnt_array
        Public ポイント情報() As pnt
        Public p_max As Integer
        Public pos As Integer

        Sub New()
            ポイント情報 = New pnt() {}
            p_max = -1
        End Sub
        Sub Add(ByVal n As Integer, ByVal r1 As Integer, ByVal k1 As Integer, ByVal r2 As Integer, ByVal k2 As Integer)
            p_max += 1
            ReDim Preserve ポイント情報(p_max)
            ポイント情報(p_max) = New pnt(n, r1, k1, r2, k2)

        End Sub

        Sub Del(ByVal n As Integer)
            If n < 0 Then Exit Sub

            For c = n To p_max - 1
                ポイント情報(c) = ポイント情報(c + 1)
            Next

            p_max -= 1
            ReDim Preserve ポイント情報(p_max)

        End Sub

        Sub 挿入(ByVal n As Integer)
            If n < 0 Then Exit Sub

            p_max += 1
            ReDim Preserve ポイント情報(p_max)
            ポイント情報(p_max) = New pnt(0, 0, 0, 0, 0)

            For c = p_max To n + 1 Step -1
                ポイント情報(c) = ポイント情報(c - 1)
            Next

            ポイント情報(n) = New pnt(0, 0, 0, 0, 0)
        End Sub
        Sub 保存()
            'CSV データを読み込みファイルに保存する
            Dim Writer As New IO.StreamWriter("data.ini")
            Dim i As Integer

            For i = 0 To p_max
                Writer.Write(ポイント情報(i).P番号 & ",")
                Writer.Write(ポイント情報(i).路線1 & ",")
                Writer.Write(ポイント情報(i).区間1 & ",")
                Writer.Write(ポイント情報(i).路線2 & ",")
                Writer.WriteLine(ポイント情報(i).区間2)
            Next i

            Writer.Close()

        End Sub

        Sub 読込()
            'CSV データを読み込みファイルに保存する
            Dim Reader As New IO.StreamReader("data.ini", System.Text.Encoding.GetEncoding("Shift-JIS"))
            Dim Items() As String

            p_max = -1
            Dim Line As String = Reader.ReadLine

            Do Until IsNothing(Line)
                p_max += 1
                ReDim Preserve ポイント情報(p_max)
                Items = Line.Split(",")
                ポイント情報(p_max) = New pnt(Items(0), Items(1), Items(2), Items(3), Items(4))

                Line = Reader.ReadLine
            Loop

            Reader.Close()

        End Sub



        Function ポイント位置(ByVal 位置 As Integer) As Integer
            For n = 0 To p_max
                If ポイント情報(n).進入位置(位置 And &HBF) Then
                    pos = 位置 And &HBF
                    Return n
                End If
            Next
            Return -1
        End Function

        Function ポイント出口位置(ByVal 位置 As Integer) As Integer
            For n = 0 To p_max
                If ポイント情報(n).出口位置(位置 And &HBF) Then
                    pos = 位置 And &HBF
                    Return n
                End If
            Next
            Return -1
        End Function

        Function ポイント次位置(ByVal n As Integer) As Integer
            Return ポイント情報(n).Next位置(pos)
        End Function

        Function ポイントOut位置(ByVal n As Integer) As Integer
            Return ポイント情報(n).Out位置(pos)
        End Function

        Function ポイント番号(ByVal n As Integer) As Integer
            Return ポイント情報(n).P番号
        End Function
    End Class

    Class pnt
        Public P番号 As Integer
        Public 正In位置 As Integer
        Public 逆In位置 As Integer
        Public 正Next位置 As Integer
        Public 逆Next位置 As Integer
        Public 正Out位置 As Integer
        Public 逆Out位置 As Integer

        Sub New(ByVal n As Integer, ByVal ri As Integer, ByVal pi As Integer, ByVal ro As Integer, ByVal po As Integer)

            P番号 = n

            正In位置 = &H8 * ri + pi
            正Next位置 = &H8 * ro + po

            逆In位置 = &H80 + &H8 * ro + po
            逆Next位置 = &H80 + &H8 * ri + pi

            正Out位置 = &H8 * ro + ((po + 1) And &H7)
            逆Out位置 = &H80 + &H8 * ri + ((pi - 1) And &H7)

        End Sub

        Function 進入位置(ByVal p As Integer) As Boolean

            If p = 正In位置 Then
                Return True
            End If

            If p = 逆In位置 Then
                Return True
            End If


            Return False
        End Function

        Function 出口位置(ByVal p As Integer) As Boolean

            If p = 正Out位置 Then
                Return True
            End If

            If p = 逆Out位置 Then
                Return True
            End If

            Return False

        End Function

        Function Next位置(ByVal p As Integer) As Integer

            If p = 正In位置 Then
                Return 正Next位置
            End If

            If p = 逆In位置 Then
                Return 逆Next位置
            End If

            Return False

        End Function
        Function Out位置(ByVal p As Integer) As Integer

            If p = 正In位置 Then
                Return 正Out位置
            End If

            If p = 逆In位置 Then
                Return 逆Out位置
            End If

            Return False

        End Function
        Public Property 番号() As String
            Get
                Return P番号
            End Get

            Set(ByVal value As String)
                P番号 = value
            End Set
        End Property

        Public Property 路線1() As String
            Get
                Return (正In位置 And &H38) / 8
            End Get

            Set(ByVal value As String)
                正In位置 = (正In位置 And &HC7) + value * 8
                逆Next位置 = &H80 + 正In位置
                逆Out位置 = (逆Next位置 And &HF8) + ((value - 1) And &H7)
            End Set
        End Property

        Public Property 区間1() As String
            Get
                Return 正In位置 And &H7
            End Get

            Set(ByVal value As String)
                正In位置 = (正In位置 And &HF8) + value
                逆Next位置 = &H80 + 正In位置
                逆Out位置 = (逆Next位置 And &HF8) + ((value - 1) And &H7)
            End Set
        End Property

        Public Property 路線2() As String
            Get
                Return (逆In位置 And &H38) / 8
            End Get

            Set(ByVal value As String)
                逆In位置 = (逆In位置 And &HC7) + value * 8
                正Next位置 = 逆In位置 And &H7F
                正Out位置 = (正Next位置 And &HF8) + ((value - 1) And &H7)
            End Set
        End Property

        Public Property 区間2() As String
            Get
                Return 逆In位置 And &H7
            End Get

            Set(ByVal value As String)
                逆In位置 = (逆In位置 And &HF8) + value
                正Next位置 = 逆In位置 And &H7F
                正Out位置 = (正Next位置 And &HF8) + ((value - 1) And &H7)
            End Set
        End Property



    End Class

    Private Sub Form1_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        SerialPort1.Close()


    End Sub



    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Text = "AMRC"
        受信BYTE = 10

        '始めに見つかったポートを使用します。
        Dim ports As String() = SerialPort.GetPortNames()
        If ports.Count = 0 Then MsgBox("シリアルポートが見つかりません。") : End
        SerialPort1.PortName = ports(0)

        'SerialPort1.Settings = "115200,N,8,1"
        SerialPort1.BaudRate = 115200
        SerialPort1.Parity = IO.Ports.Parity.None
        SerialPort1.DataBits = 8
        SerialPort1.StopBits = IO.Ports.StopBits.One
        SerialPort1.Open()

        SerialPort1.ReceivedBytesThreshold = RX_BYTE

        'コントロール設定
        Dim 間隔 = 100

        列車 = New train(5) {}
        Inidata = New train(5) {}


        For n As Integer = 0 To 列車数
            cont1.Add(New contbox.UserControl1(n))
            cont1(n).Left = n * (cont1(0).Width + 2)
            Controls.Add(cont1(n))
            AddHandler cont1(n).Stop_Click, AddressOf Stop_Click
            AddHandler cont1(n).Revers_Click, AddressOf Revers_Click
            AddHandler cont1(n).Point_Click, AddressOf Point_Click
            AddHandler cont1(n).Henkou_Click, AddressOf Henkou_Click
            AddHandler cont1(n).Color_DClick, AddressOf Color_DClick

            列車(n) = New train(n)
        Next


        '初期設定読み込み
        設定読込()

        設定Flag = True

        ポイント = New pnt_array
        ポイント.読込()

        初期 = True


        Form3.Show()
        Form3.Location = New Point(Me.Location.X + Me.Size.Width + 12, Me.Location.Y)

        '識別色設定
        For n = 0 To 列車数
            cont1(n).Train_Color = 列車(n).表示色
            Form3.識別色(n) = New SolidBrush(列車(n).表示色)
        Next

        Timer1.Enabled = True



    End Sub
    ' フォームの Load イベントで追加したイベント


    'デリゲートの宣言
    Public Delegate Sub myDelegate()

    'データーの受信
    Private Sub DataReceived(ByVal sender As Object, _
          ByVal e As System.IO.Ports.SerialDataReceivedEventArgs) _
          Handles SerialPort1.DataReceived

        Me.Invoke(New  _
                       myDelegate(AddressOf receive_data), _
                       New Object() {})
    End Sub
    Public Sub receive_data()
        '-----232cの読み込み-----

        Dim Sum As Integer


        Dim byteArray(SerialPort1.BytesToRead - 1) As Byte

        If UBound(byteArray) <> RX_BYTE - 1 Then Exit Sub

        t_span = Now - t_check1
        t_check1 = Now

        'Label4.Text = t_span.Milliseconds
        'ポートのバッファから読み込み
        SerialPort1.Read(byteArray, 0, SerialPort1.BytesToRead)

        'データチェック
        For n As Integer = 0 To RX_BYTE - 2
            Sum = Sum + byteArray(n)
        Next

        Sum = Sum Mod 256
        'Label2.Text = Hex(Sum)

        If byteArray(RX_BYTE - 1) <> Sum Then
            Label2.Text = "RX_Error"
            Exit Sub
        End If

        '初期転送確認
        If 初期 Then
            Dim 比較1 As Boolean = (byteArray(4) = 列車(0).現位置set)
            Dim 比較2 As Boolean = (byteArray(5) = 列車(0).前位置set)
            Dim 比較3 As Boolean = (byteArray(6) = 列車(0).次位置set)
            Dim 比較4 As Boolean = (byteArray(7) = 列車(0).次々位置set)

            If (比較1 And 比較2 And 比較3 And 比較4) Then 初期 = False

            For n = 0 To 列車数
                列車(n).現位置 = byteArray(受信BYTE * n + 4)
                列車(n).前位置 = byteArray(受信BYTE * n + 5)
            Next

            区間表示()
            Exit Sub
        End If

        For n = 0 To 列車数
            列車(n).Realスピード = byteArray(受信BYTE * n)
            列車(n).現位置 = byteArray(受信BYTE * n + 4)
            列車(n).前位置 = byteArray(受信BYTE * n + 5)
            列車(n).次位置 = byteArray(受信BYTE * n + 6)
            列車(n).次々位置 = byteArray(受信BYTE * n + 7)
            列車(n).区間変化 = byteArray(受信BYTE * n + 8)
            列車(n).point_ret = byteArray(受信BYTE * n + 9)

            Label2.Text = Strings.Right("0" & Hex(列車(0).現位置), 2) & ":" & _
                          Strings.Right("0" & Hex(列車(0).前位置), 2) & ":" & _
                          Strings.Right("0" & Hex(列車(0).次位置), 2) & ":" & _
                          Strings.Right("0" & Hex(列車(0).次々位置), 2)

            If Not cont1(n).Henkou Then
                cont1(n).Rosen = (列車(n).現位置 And &H38) / 8
                cont1(n).Kukan = 列車(n).現位置 And &H7
            End If

            列車(n).Point = 0 'ポイントCLR

            If 列車(n).区間変化 = &H80 Then
                Label2.Text = Hex(列車(n).区間変化)
                列車(n).区間変更()
                区間表示()

            End If

        Next

        Dim c As Integer

        For n = 0 To 列車数
            'Point動作
            Select Case 列車(n).ポイント
                Case 1, 4
                    c = ポイント.ポイント位置(列車(n).現位置)
                    If c >= 0 Then
                        Select Case ポイント安全(ポイント.ポイント次位置(c), n)
                            Case 0
                                '切り替え安全
                                列車(n).Point = &HC0 + ポイント.ポイント番号(c) 'Point切替
                                列車(n).次位置set = ポイント.ポイント次位置(c) + (列車(n).現位置 And &H40)
                                列車(n).次々位置set = ポイント.ポイントOut位置(c) + (列車(n).現位置 And &H40)
                                列車(n).ポイント = 2
                            Case 1
                                列車(n).ポイント = 4 'ポイント待ち
                            Case 2
                                列車(n).ポイント = 4 'ポイント待ち
                        End Select
                    End If
                Case 3
                    c = ポイント.ポイント出口位置(列車(n).現位置)
                    If c >= 0 Then
                        'ポイント戻し
                        列車(n).Point = &H80 + ポイント.ポイント番号(c) 'Point戻し
                        列車(n).ポイント = 0
                        cont1(n).PointBtn = False
                    End If
            End Select
            'End If
        Next

        For n = 0 To 列車数
            If 列車(n).ポイント = 4 Then 'ポイント待ち
                列車(n).安全 = "停止"
            Else
                列車(n).安全 = 安全確認(n)
            End If

            Select Case 列車(n).安全
                Case "停止"
                    列車(n).スピード = 0
                    cont1(n).SignalLabel = 2
                Case "減速"
                    If cont1(n).Speed_Cont > 35 Then
                        列車(n).スピード = 35
                    Else
                        列車(n).スピード = cont1(n).Speed_Cont
                    End If
                    cont1(n).SignalLabel = 1
                Case "安全"
                    列車(n).スピード = cont1(n).Speed_Cont
                    cont1(n).SignalLabel = 0
                Case "運休"
                    cont1(n).SignalLabel = 9
            End Select

            cont1(n).Speed_Meter = 列車(n).Realスピード

            '逆転ボタンの色
            If 列車(n).現位置 And &H80 Then
                cont1(n).Revers = True
            Else
                cont1(n).Revers = False
            End If

        Next
        t_span = Now - t_check1

        Label4.Text = t_span.Milliseconds

    End Sub

    Sub 区間表示()
        If Not Form3.BackgroundWorker1.IsBusy Then
            Form3.区間表示更新(列車数)
        End If
    End Sub


    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim TxData(TX_BYTE + 1) As Byte
        Dim p As Integer
        Dim Sum As Integer
        Dim 転送bit(列車数) As Byte
        Dim n As Integer

        Dim 加速 As Integer = 5
        Dim 減速 As Integer = 10

        For n = 0 To 列車数
            If 列車(n).Remスピード < 列車(n).スピード Then
                列車(n).Remスピード = 列車(n).Remスピード + 加速
                If 列車(n).Remスピード > 列車(n).スピード Then
                    列車(n).Remスピード = 列車(n).スピード
                End If
            Else
                If 列車(n).Remスピード > 列車(n).スピード Then
                    列車(n).Remスピード = 列車(n).Remスピード - 減速
                    If 列車(n).Remスピード < 0 Then
                        列車(n).Remスピード = 0
                    End If
                End If
            End If
        Next


        For n = 0 To 列車数
            転送bit(n) = &H8

            If 初期 Then
                転送bit(n) = &H1F
            ElseIf 全転送(n) Then
                転送bit(n) = &H1F
                全転送(n) = False
            ElseIf 列車(n).相変更FLAG Then
                '相変更
                転送bit(n) = &H1F
                列車(n).相変更FLAG = False
            ElseIf 列車(n).逆転 = 3 Then
                '逆転時
                転送bit(n) = &H1F
                列車(n).逆転 = 0
            ElseIf 列車(n).区間変化 = &H80 Then
                '区間変化時
                転送bit(n) = &H18
                列車(n).区間変化 = 0
            End If

            If 列車(n).ポイント = 2 Then
                転送bit(n) = &H1C
                列車(n).ポイント = 3
            End If

            転送bit(n) = 転送bit(n) Or 32 'point bit on
        Next

        TxData(0) = &H55
        TxData(1) = &HAA


        p = 2

        For n = 0 To 列車数

            TxData(p) = 転送bit(n)
            p = p + 1
            TxData(p) = 列車(n).Remスピード
            p = p + 1
            TxData(p) = 列車(n).現位置set
            p = p + 1
            TxData(p) = 列車(n).前位置set
            p = p + 1
            TxData(p) = 列車(n).次位置set
            p = p + 1
            TxData(p) = 列車(n).次々位置set
            p = p + 1
            TxData(p) = 列車(n).区間変化
            p = p + 1
            TxData(p) = 列車(n).Point
            p = p + 1
            TxData(p) = TxAux(n)
            p = p + 1

        Next

        'Sum付加
        For n = 2 To TX_BYTE - 2
            Sum = Sum + TxData(n)
        Next

        Sum = Sum Mod 256
        TxData(TX_BYTE - 1) = Sum

        ' 送信します。
        SerialPort1.Write(TxData, 0, TX_BYTE)

    End Sub

    Private Sub Revers_Click(ByVal index As Integer)
        列車(index).逆転処理()
    End Sub

    Private Sub Point_Click(ByVal index As Integer)
        Select Case 列車(index).ポイント
            Case 0
                列車(index).ポイント = 1
                cont1(index).PointBtn = True
            Case 1
                列車(index).ポイント = 0
                cont1(index).PointBtn = False
        End Select

    End Sub

    Private Sub Stop_Click(ByVal index As Integer)
        '停止
        cont1(index).Speed_Cont = 0
    End Sub

    Private Sub Color_DClick(ByVal index As Integer)
        '色変更
        With ColorDialog1
            .AllowFullOpen = True
            .Color = cont1(index).Train_Color

            If .ShowDialog = DialogResult.OK Then
                cont1(index).Train_Color = .Color
                列車(index).表示色 = .Color
                Form3.識別色(index) = New SolidBrush(列車(index).表示色)
                区間表示()

            End If
        End With
    End Sub

    Private Sub Henkou_Click(ByVal index As Integer)
        If 設定Flag Then
            If Not cont1(index).Henkou Then
                列車(index).列車設定(0, cont1(index).Rosen, cont1(index).Kukan) '方向,路線,区間
                全転送(index) = True

                列車(index).現位置 = 列車(index).現位置set
                列車(index).前位置 = 列車(index).前位置set
                区間表示()

            End If
        End If
    End Sub


    Function 安全確認(ByVal n) As String

        Dim 停止 As Boolean = False
        Dim 減速 As Boolean = False

        If 列車(n).現位置 = &H78 Then
            Return "運休"
        End If

        For m = 0 To 列車数
            If m <> n Then
                If (列車(n).次位置 And &H3F) = (列車(m).現位置 And &H3F) Then 停止 = True
                If (列車(n).次位置 And &H3F) = (列車(m).前位置 And &H3F) Then 停止 = True
                If (列車(n).次位置 And &H3F) = (列車(m).次位置 And &H3F) Then 停止 = True

                If (列車(n).次々位置 And &H3F) = (列車(m).現位置 And &H3F) Then 減速 = True
                If (列車(n).次々位置 And &H3F) = (列車(m).前位置 And &H3F) Then 減速 = True
                If (列車(n).次々位置 And &H3F) = (列車(m).次位置 And &H3F) Then 減速 = True
            End If
        Next

        安全確認 = "安全"
        If 減速 Then 安全確認 = "減速"
        If 停止 Then 安全確認 = "停止"


    End Function



    Function ポイント安全(ByVal 次, ByVal n)
        Dim 停止 As Boolean = False
        Dim 相手路線列車数 As Integer
        Dim 相手 As Integer

        For m = 0 To 列車数
            If m <> n Then
                If (次 And &H3F) = (列車(m).現位置 And &H3F) Then 停止 = True
                If (次 And &H3F) = (列車(m).前位置 And &H3F) Then 停止 = True
                If (次 And &H3F) = (列車(m).次位置 And &H3F) Then 停止 = True
                If (次 And &H3F) = (列車(m).次々位置 And &H3F) Then 停止 = True

                '相手路線の列車数確認
                If (次 And &H38) = (列車(m).現位置 And &H38) Then
                    相手路線列車数 = 相手路線列車数 + 1
                    相手 = m
                End If
            End If
        Next

        ポイント安全 = 0

        If 停止 Then ポイント安全 = 1
        If 相手路線列車数 >= 2 Then ポイント安全 = 2

        '相確認
        If ポイント安全 = 0 Then
            If 相手路線列車数 = 1 Then
                If (列車(相手).現位置 And &H40) = (列車(n).現位置 And &H40) Then 列車(相手).相変更()
            End If
        End If

    End Function

    Sub 設定読込()
        Dim Reader As New IO.StreamReader("設定.csv", System.Text.Encoding.GetEncoding("Shift-JIS"))
        Dim Items() As String
        Dim n As Integer
        Dim Line As String

        For n = 0 To 列車数
            Line = Reader.ReadLine
            If IsNothing(Line) Then Exit For

            Items = Line.Split(",")
            列車(n).列車設定(Items(0), Items(1), Items(2)) '方向,路線,区間
            列車(n).表示色 = Color.FromArgb(Items(3), Items(4), Items(5), Items(6))
        Next

        Reader.Close()


    End Sub

    Sub 設定保存()
        Dim Writer As New IO.StreamWriter("設定.csv")
        Dim 方向 As String
        Dim 路線 As String
        Dim 区間 As String

        Dim a As String
        Dim r As String
        Dim g As String
        Dim b As String


        For n = 0 To 列車数
            方向 = Str$((列車(n).現位置set And &H80) / &H80)
            路線 = Str$((列車(n).現位置set And &H38) / 8)
            区間 = Str$(列車(n).現位置set And &H7)
            '識別色情報
            a = Str$(列車(n).表示色.A)
            r = Str$(列車(n).表示色.R)
            g = Str$(列車(n).表示色.G)
            b = Str$(列車(n).表示色.B)

            Writer.WriteLine(方向 & "," & 路線 & "," & 区間 & "," & a & "," & r & "," & g & "," & b)
        Next

        Writer.Close()
    End Sub

    Function 相確認(ByVal ro As Integer, ByVal i As Integer) As Integer
        'あいている相を返す
        相確認 = -1

        If ro = 7 Then 相確認 = 2 : Exit Function

        For n = 0 To 列車数
            If n <> i Then
                If (&H8 * ro) = (列車(n).現位置set And &H38) Then
                    If 相確認 <> -1 Then '２列車あり割り当て不可
                        MsgBox("相が重複しました。")
                        相確認 = -1
                        Exit Function
                    End If

                    If (列車(n).現位置set And &H40) = 0 Then
                        相確認 = 1
                    Else
                        相確認 = 0
                    End If
                End If
            End If
        Next

        If 相確認 = -1 Then
            相確認 = 0 '列車なし
        End If
    End Function

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Form2.Show()
    End Sub






    Public Sub New()

        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。

    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        設定保存()
    End Sub
End Class
