﻿Public Class Form3
    Dim 区間(100, 20) As Point
    Dim 中心(100) As Point
    Dim 区間表示(100) As String
    Dim 描画順位(100) As Integer
    Dim 位置(10) As Integer
    Dim 前位置(10) As Integer
    Dim 列車数 As Integer

    Public 識別色() As Brush = _
        {Brushes.Cyan, Brushes.Green, Brushes.Red, Brushes.Yellow, Brushes.Blue, Brushes.Violet, Brushes.LightBlue}


    Sub 区間表示更新(ByVal i As Integer)
        列車数 = i

        For n = 0 To 列車数
            位置(n) = Form1.列車(n).現位置
            前位置(n) = Form1.列車(n).前位置
        Next

        BackgroundWorker1.RunWorkerAsync()

    End Sub

    Sub 表示()
        Dim max As Integer
        Dim c As Integer
        Dim rect1 As Rectangle
        Dim g As Graphics = Me.CreateGraphics
        Dim p(20) As Point




        For m = 0 To 100
            c = 描画順位(m)
            ReDim p(20)
            For n = 0 To 20
                If 区間(c, n).IsEmpty Then
                    max = n - 1
                    Exit For
                End If
                p(n) = 区間(c, n)
            Next

            If max < 1 Then Exit For
            ReDim Preserve p(max)

            '列車色設定
            Dim r As Integer
            For r = 0 To 列車数
                If (区間表示(c) = 位置表示(位置(r))) Or (区間表示(c) = 位置表示(前位置(r))) Then
                    Exit For
                End If
            Next
            g.FillPolygon(識別色(r), p)

            'If 区間表示(c) = 位置表示(位置(0)) Then
            '    g.FillPolygon(Brushes.Cyan, p)
            'Else
            '    g.FillPolygon(Brushes.LightSkyBlue, p)
            'End If
            g.DrawPolygon(Pens.Blue, p)

            rect1.Location = 中心(c)
            rect1.Width = 20
            rect1.Height = 10
            g.DrawRectangle(Pens.Blue, rect1)
            g.DrawString(区間表示(c), SystemFonts.DefaultFont, Brushes.Black, 中心(c))
        Next

    End Sub

    Function 位置表示(ByVal p As Integer) As String
        Dim 区間 = p And &H7
        Dim 路線 = (p And &H38) / 8

        Return Trim$(Str$(路線)) & "-" & Trim$(Str$(区間))
    End Function

    Sub レイアウト読込()
        Dim Reader As New IO.StreamReader("kukan.csv")
        Dim Items() As String                'CSVの各項目を表す配列
        Dim Line As String = Reader.ReadLine 'CSVの一行


        Dim c As Integer


        Do Until IsNothing(Line)

            Items = Line.Split(",")                      '一行を, (カンマ)で区切って項目ごとに分解
            If Items.Length = 1 Then Exit Do

            For n = 0 To (Items.Length - 2) / 2
                区間(c, n).X = Items(2 * n)
                区間(c, n).Y = Items(2 * n + 1)
            Next


            Line = Reader.ReadLine '次の行を読み込む。
            c += 1
        Loop

        '中心読み込み
        Line = Reader.ReadLine '次の行を読み込む。
        Items = Line.Split(",")                      '一行を, (カンマ)で区切って項目ごとに分解

        For n = 0 To (Items.Length - 2) / 2
            中心(n).X = Val(Items(2 * n)) - 10
            中心(n).Y = Val(Items(2 * n + 1)) - 5
        Next

        '区間表示読み込み
        Line = Reader.ReadLine '次の行を読み込む。
        Items = Line.Split(",")                      '一行を, (カンマ)で区切って項目ごとに分解

        For n = 0 To Items.Length - 1
            区間表示(n) = Items(n)
        Next

        '描画順位読み込み
        Line = Reader.ReadLine '次の行を読み込む。
        Items = Line.Split(",")

        For n = 0 To Items.Length - 1
            描画順位(n) = Val(Items(n))
        Next


        Reader.Close()



    End Sub

    Private Sub Form3_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.Text = "区間表示"

        レイアウト読込()
    End Sub


    Private Sub BackgroundWorker1_DoWork(ByVal sender As System.Object, ByVal e As System.ComponentModel.DoWorkEventArgs) Handles BackgroundWorker1.DoWork
        表示()
    End Sub

End Class